Payment Method
GET
/onetime/setup_intentsRetrieve OneTime Setup Intent Session
Responses: 200, 400, 500
Generated from the code contract; no hand-written description yet.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/onetime/setup_intents/'Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "<string>",
"setup_intent_id": "<string>",
"customer_id": "<string>",
"provider": "<string>",
"livemode": false,
"public_key": "<string>",
"session_id": "<string>",
"intent_id": "<string>",
"next_action": [
{
"type": "<string>",
"title": "<string>",
"description": "<string>",
"i18n_key": "<string>",
"url": "<string>",
"client_secret": "<string>",
"payment_method": "<string>",
"qr_data": "<string>"
}
],
"return_url": "<string>",
"refresh_url": "<string>",
"link": {
"available": false
},
"setup_method": "<string>"
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}